## logapp 0.8

=== Makefile ===
# Makefile for Logapp
#
# Copyright (C) 2007 Michael Brunner <mibru@gmx.de>

TARGET = logapp
MANPAGE = logapp.1
SYMLINKS = logmake logsvn logcvs
PREFIX = /usr/local/
DESTDIR = $(PREFIX)bin/
MANDIR = $(PREFIX)share/man/man1/

CC = gcc
CFLAGS = -Wall -O2

LINK = gcc
LINKFLAGS = -s 

OBJECTS = main.o configuration.o logfile.o capture.o

DEPENDENCIES = .dependencies

LIBS = -lpthread -lutil
 
all: $(DEPENDENCIES) $(TARGET)

$(TARGET): $(OBJECTS) 
	$(LINK) $(LINKFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

install: all install_links
	install -d $(DESTDIR)
	install -t $(DESTDIR) $(TARGET)
	install -d $(MANDIR)
	install -m 644 -t $(MANDIR) $(MANPAGE)

install_links:
	for L in $(SYMLINKS); do ln -s -f $(TARGET) $(DESTDIR)$$L ; done

uninstall: deinstall

deinstall: remove_links
	rm -f $(DESTDIR)$(TARGET)
	rm -f $(MANDIR)$(MANPAGE)

remove_links:
	for L in $(SYMLINKS); do rm -f $(DESTDIR)$$L ; done

clean:
	rm -f *.o $(TARGET) $(DEPENDENCIES)

distclean: clean
	rm -f *.log tags
	cd doc && make distclean

$(DEPENDENCIES):
	@$(CC) -MM *.c > $(DEPENDENCIES)

.PHONY: all clean distclean

-include $(DEPENDENCIES)
