## logapp 0.9

=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007 Michael Brunner <mibru@gmx.de>

MANDESTDIR = /usr/local/share/man/man1/
HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html

all: html text manpage

html:
	xsltproc -o manpage.html $(HTMLXSL)/docbook.xsl manpage.xml

manpage:
	docbook2x-man manpage.xml

text: html
	lynx -dump manpage.html > manpage.txt

install: manpage
	cp logapp.1 ../
	cp logapp.1 $(MANDESTDIR)

clean:
	rm -f *.log tags *.html *.1 *.gz *.txt

distclean: clean

.PHONY: all clean distclean
