## logapp 0.10

=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007-2008 Michael Brunner <mibru@gmx.de>

MANDESTDIR = /usr/local/share/man/man1/
HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html

all: html text manpage

html:
	xsltproc $(HTMLXSL)/docbook.xsl manpage.xml \
		| sed -e "s/&#8722;/-/g" > manpage.html

manpage:
	docbook2x-man --encoding "us-ascii" manpage.xml

text: html
	lynx -dump manpage.html > manpage.txt

install: manpage
	cp logapp.1 ../
	cp logapp.1 $(MANDESTDIR)

clean:
	rm -f *.log tags *.html *.1 *.gz *.txt

distclean: clean

.PHONY: all clean distclean
