## logapp 0.12

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MANDIR = $(PREFIX)share/man/man1/
 
 CC = gcc
-CFLAGS = -Wall -O2
+CFLAGS = -Wall -Wextra -O2
 
 LINK = gcc
 LINKFLAGS = -s
