=== doc/Makefile ===
# Makefile for Logapp documentation
#
# Copyright (C) 2007-2008 Michael Brunner <mibru@gmx.de>

MANDESTDIR = /usr/local/share/man/man1/
HTMLXSL = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html
MANPAGE = logapp.1

all: html text manpage

html:
	xsltproc $(HTMLXSL)/docbook.xsl manpage.xml \
		| sed -e "s/&#8722;/-/g" > manpage.html

manpage:
	docbook2x-man --to-stdout --encoding "us-ascii" manpage.xml |\
	sed "1,1s/'/./" > $(MANPAGE)

text: html
	lynx -dump manpage.html > manpage.txt

install: manpage
	cp $(MANPAGE) ../
	cp $(MANPAGE) $(MANDESTDIR)

clean:
	rm -f $(MANPAGE) *.log tags *.html *.gz *.txt

distclean: clean

.PHONY: all clean distclean
