## logapp 0.16

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile for Logapp
 #
-# Copyright (C) 2007-2010 Michael Brunner <mibru@gmx.de>
+# Copyright (C) 2007-2017 Michael Brunner <mibru@gmx.de>
 
 TARGET = logapp
 MANPAGE = logapp.1
-VERSION = 0.15
+VERSION = 0.16
 
 ### Configuration options: ###
 
@@ -16,7 +16,7 @@
 USE_THREADS = 1
 
 # Build static binary
-BUILD_STATIC = 0
+BUILD_STATIC ?= 0
 
 # Add architecture prefix here or use CROSS_COMPILE environment variable to
 # specify a cross compiler
@@ -50,29 +50,43 @@
 DEFS    = -DSVN_REVISION='"$(shell svnversion -cn . 2>/dev/null \
 	| sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"' \
 	 -DVERSION='"$(VERSION)"' \
+	 -DDEBUG_BUILD="$(DEBUG_BUILD)" \
 	 -DEXECUTABLE='"$(TARGET)"' \
 	 -DCONFIG_SUPPORT_PTY="$(SUPPORT_PTY)" \
 	 -DCONFIG_USE_THREADS="$(USE_THREADS)"
  
-CFLAGS = -Wall -Wextra $(DEFS)
-
 # Do not optimize code when creating a debug build
 ifeq ($(DEBUG_BUILD),1)
-	CFLAGS += -g
-else
-	CFLAGS += -O2
+	CFLAGS = -g -O0
+	LDFLAGS =
 endif
 
+# Use DPKG default buildflags, on Debian based systems
+DPKG_CFLAGS = $(shell dpkg-buildflags --get CFLAGS 2>/dev/null)
+ifeq "$(DPKG_CFLAGS)" ""
+	CFLAGS ?= -O2
+else
+	CFLAGS ?= $(DPKG_CFLAGS)
+endif
+
+CFLAGS += -Wall -Wextra $(DEFS)
+
 LINK = $(CROSS_COMPILE)gcc
-LINKFLAGS =  
 
 ifeq ($(BUILD_STATIC),1)
-	LINKFLAGS += --static
+	LDFLAGS += --static
 endif
   
+DPKG_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS 2>/dev/null)
+ifeq "$(DPKG_LDFLAGS)" ""
+	LDFLAGS ?= 
+else
+	LDFLAGS ?= $(DPKG_LDFLAGS)
+endif
+
 # Strip unless we are creating a debug build
 ifneq ($(DEBUG_BUILD),1)
-	LINKFLAGS += -s
+	LDFLAGS += -s
 endif
 
 OBJECTS = main.o configuration.o logfile.o capture.o
@@ -93,7 +107,7 @@
 all: $(DEPENDENCIES) $(TARGET)
 
 $(TARGET): $(OBJECTS)
-	$(LINK) $(LINKFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)
+	$(LINK) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)
 
 install: all install_links
 	$(INSTALL) -d $(DESTDIR)
@@ -135,6 +149,7 @@
 	@echo 'Environment variables:'
 	@echo ' PREFIX          - Install prefix (default: /usr/local)'
 	@echo ' DEBUG_BUILD     - Create debug build (default: 0)'
+	@echo ' BUILD_STATIC    - Create static build (default: 0)'
 	@echo ' CROSS_COMPILE   - Use cross compile prefix (default: )'
 
 $(DEPENDENCIES):
