=== debian/changelog ===
logapp (0.16-5) unstable; urgency=medium

  * QA Upload
  * Switch to short DH sequencer & compat lever 13

 -- Alexandre Detiste <tchet@debian.org>  Sun, 14 Sep 2025 10:12:19 +0200

logapp (0.16-4) unstable; urgency=medium

  * Orphan package
  * Update standards version (no changes needed)
  * Remove VCS URIs

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Aug 2025 21:17:46 +0530

logapp (0.16-3) unstable; urgency=medium

  * Remove need for root when building the package. Patch from Niels
    Thykier (Closes: #1089377)
  * Pass `-n` to `gzip` to aid reproducibility. (Niels Thykier)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 01 Jan 2025 22:08:53 +0530

logapp (0.16-2) unstable; urgency=medium

  * Patch from Chris Lamb: The md5sums file is "manually" generated, and
    its contents were sorted based on the underlying filesystem ordering,
    therefore affecting reproducibility. Sort them using sort(1)
    instead. (Closes: #1010845)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 11 Jan 2023 09:31:52 +0530

logapp (0.16-1) unstable; urgency=medium

  * New upstream release
  * Rework rules for build flags

 -- Kumar Appaiah <akumar@debian.org>  Sun, 09 Feb 2020 11:35:41 +0530

logapp (0.15-1) unstable; urgency=low

  * New upstream release
  * Standards version is now 3.9.1

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Feb 2011 21:47:50 -0600

logapp (0.14-3) unstable; urgency=low

  * debian/control, debian/rules: No longer use debhelper.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Dec 2009 17:20:11 -0600

logapp (0.14-2) unstable; urgency=low

  * debian/patches/02makefile_destdir_fix.diff:
    Fix use of CFLAGS to use environment specified ones.
  * Switch to Topgit for patch queue management.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 05 Dec 2009 19:20:46 -0600

logapp (0.14-1) unstable; urgency=low

  * New upstream release
  * Switch to debhelper 7 and quilt
  * Standards Version is now 3.8.3 (No changes needed)
  * Add README.source to describe patch system usage

 -- Kumar Appaiah <akumar@debian.org>  Sun, 13 Sep 2009 01:36:10 -0500

logapp (0.13-1) unstable; urgency=low

  * New upstream release.
  * Standards version is now 3.8.2 (no changes needed).

 -- Kumar Appaiah <akumar@debian.org>  Tue, 14 Jul 2009 12:12:15 -0500

logapp (0.12-1) unstable; urgency=low

  * New upstream release.
  * Standards version is now 3.8.1 (no changes needed).

 -- Kumar Appaiah <akumar@debian.org>  Fri, 08 May 2009 10:41:05 -0500

logapp (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 26 Feb 2009 23:57:01 -0600

logapp (0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Standards version is now 3.8.0 (no change needed.)
  * debian/patches:
    + 01manpage_hyphen_fix.dpatch: Applied upstream.
    + 02makefile_destdir_fix.dpatch: Add description.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 20 Sep 2008 21:22:06 -0500

logapp (0.9-2) unstable; urgency=low

  * debian/control:
    + Update e-mail my address.
    + Update to use new Vcs-* locations.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Apr 2008 15:16:50 +0530

logapp (0.9-1) unstable; urgency=low

  * New upstream release.
  * Update copyright to newly proposed format,
    to allow for machine readability.
  * debian/control:
    + Update standards version to 3.7.3 (no changes needed).

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 23 Mar 2008 16:20:06 +0530

logapp (0.8-1) unstable; urgency=low

  * New upstream release

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 08 Oct 2007 10:37:33 +0530

logapp (0.7-1) unstable; urgency=low

  * Initial release. (Closes: #436195)
  * Added 01manpage_hyphen_fix.dpatch to ensure hyphens aren't used as minus signs.
  * Added 02makefile_destdir_fix.dpatch to install to the right directory.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 16 Aug 2007 17:08:01 +0530
