=== debian/watch ===
version=4
http://sf.net/logapp/logapp-(.*)\.tar\.gz
